/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package parser.data;

import dbn.classifier.neural.DeepBeliefNetwork;
import dbn.data.OptionsHandler;
import java.io.IOException;
import org.junit.Test;

/**
 *
 * @author evripidis
 */
public class DBNTest {
    
    private OptionsHandler ahandler;
    private DeepBeliefNetwork nn;
    private final boolean PRINT = false;
    
    public DBNTest() throws Exception {
        this.ahandler = new OptionsHandler();
        String[] args = {
            "-strain", "D:/Desktop/iris-sparse.arff",
            "-e",      "10",
            "-be",     "3",
            "-m",      "0.4",
            "-lr",     "0.3",
            "-l",      "5", "4", "4", "6", "3"
        };
        try {
            this.ahandler.setArgs(args);
        } catch (IOException ex) {
            System.err.println("Arguments error!");
        }
        
        this.nn = new DeepBeliefNetwork(this.ahandler.getLayers());
    }

    @Test
    public void testSomeMethod() {
        
        System.out.println(this.nn.toString());
    }
}
